VoyceBook Logo
voycebook
Home/Documentation/VoyceBook REST API & Webhook Specifications

Developer API

VoyceBook REST API & Webhook Specifications

⏱️ 8 min read•Last updated: 2026-10-16•Verified for 2026 Regulations

Integrate VoyceBook into your ERP, CRM, or custom application using our authenticated REST endpoints and real-time event webhooks.

Authentication

All API requests must include your Workspace API Key in the `Authorization` header as a Bearer token. API keys can be managed under Settings → Developer.

BASHVoyceBook Spec
curl -X POST https://api.voycebook.com/v1/invoices \
  -H "Authorization: Bearer vb_live_8942a0f8b1c4e9..." \
  -H "Content-Type: application/json" \
  -d '{
    "customerId": "cust_481",
    "invoiceDate": "2026-10-20",
    "dueDate": "2026-11-04",
    "lineItems": [
      {
        "description": "Enterprise Retainer - October 2026",
        "hsnSac": "998314",
        "quantity": 1,
        "unitPrice": 100000.00,
        "gstRate": 18
      }
    ]
  }'

Webhook Events

VoyceBook can deliver HTTP POST webhooks to your servers whenever a document event occurs. Webhook payloads are signed with an HMAC SHA-256 signature in the `X-VoyceBook-Signature` header.